Subject: documentation suggestion: make old versions of docs easily available

From: <[email-masked]>
Date: Tue, 9 Jul 2024 21:18:25 +0000

If go to the website of say, Perl or Python, and I see there's a cool function I want to use, then often there will be a note "new in version X.Y".
Then I know that if I need to support versions older than that, I can't use it, and otherwise I can.
If there is no such note, then I also have the option of easily pulling up old versions of the docs.
So I can quickly grab the docs for the oldest version I care about, and see if the function exists there.

Most GNU software (e.g., bash, coreutils, etc.) makes the latest version easily available on the website, but not older versions.
(The older versions are indeed available, but not require downloading and unzipping the full source distribution, or a similar level of annoyance.)
This is sometimes fine, since if I need to support some ancient version, then presumably I have access to at least one machine where that version is installed, and that machine will often have docs installed too.
But it's still nice to know whether I'm "skating close to the edge" or whether I'm using stuff that was already supported last century.

Just my two cents.
Mark.

This message is for information purposes only. It is not a recommendation, advice, offer or solicitation to buy or sell a product or service, nor an official confirmation of any transaction. It is directed at persons who are professionals and is intended for the recipient(s) only. It is not directed at retail customers. This message is subject to the terms at: https://www.ib.barclays/disclosures/web-and-email-disclaimer.html. 

For important disclosures, please see: https://www.ib.barclays/disclosures/sales-and-trading-disclaimer.html regarding marketing commentary from Barclays Sales and/or Trading desks, who are active market participants; https://www.ib.barclays/disclosures/barclays-global-markets-disclosures.html regarding our standard terms for Barclays Investment Bank where we trade with you in principal-to-principal wholesale markets transactions; and in respect to Barclays Research, including disclosures relating to specific issuers, see: https://publicresearch.barclays.com.
__________________________________________________________________________________ 
If you are incorporated or operating in Australia, read these important disclosures: https://www.ib.barclays/disclosures/important-disclosures-asia-pacific.html.
__________________________________________________________________________________
For more details about how we use personal information, see our privacy notice: https://www.ib.barclays/disclosures/personal-information-use.html. 
__________________________________________________________________________________